IRPCServerAdmin.GetServerUsers

View as Markdown

Administration API / specialized admin session idempotent

Gets the server users: account names with server roles that are stored separately from login accounts.

ServiceServer administration MFiles.IRPCServerAdmin
gRPC method/MFiles.IRPCServerAdmin/GetServerUsers
HTTP (mf-http-grpc)POST /grpc/v1/get-server-users
RequestGetServerUsersRequest
ResponseGetServerUsersResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetServerUsersRequest

No fields.

Response: GetServerUsersResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
serverusers[]repeated ServerUserThe server users, each an account name and its server roles. See ServerUser.
serverusers[].login_namestringThe login name that is associated with this server user (e.g. 'DOMAIN\user').
serverusers[].server_rolesSRVROLESBitmask of the server roles of the login.
serverusers[].server_roles.allboolSpecifies all flags set; Including any future flags.
serverusers[].server_roles.system_administratorboolSystem administrator (can perform any operation on the server). [ name( "vaultCreator" ) ] const SRVROLES SRVROLE_VAULT_CREATOR = ( 1 << 1 ); //!< Can create, modify and delete vaults. Can also restore vaults. [ name( "backupOperator" ) ] const SRVROLES SRVROLE_BACKUP_OPERATOR = ( 1 << 2 ); //!< Can back up vaults.
serverusers[].server_roles.can_log_inboolCan log in. A login that does not have this role is disabled and cannot log in even if the login has the sysadmin role.
serverusers[].server_roles.invalid_passwordboolThis special role indicates that the M-Files login does not yet have a valid password. MFAdmin uses this flag to force the user to define the password.